_LWP_GETNAME(2) | NetBSD System Calls Manual | _LWP_GETNAME(2)

# NAME

_lwp_getname — get descriptive name of an LWP

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <lwp.h>

int
_lwp_getname(lwpid_t target, char *name, size_t len);

# DESCRIPTION

_lwp_getname() gets the descriptive name of the LWP. It takes the following arguments.

target
  The LWP whose descriptive name will be obtained.
name
  The buffer to be filled with the descriptive name of the LWP.
len
  The size of the buffer name in bytes.

# RETURN VALUES

_lwp_getname() returns 0 on success. Otherwise, -1 is returned and errno is set to indicate the error.

# SEE ALSO

ps(1), top(1), _lwp_setname(2), errno(2)

December 15, 2007 | NetBSD 5.99